Name: rancid
Version: 3.13
Release:    1%{?dist}
Summary: Really Awesome New Cisco confIg Differ

License: BSD with advertising
URL: http://www.shrubbery.net/rancid/
Source0: https://shrubbery.net/pub/%{name}/%{name}-%{version}.tar.gz
Source1: %{name}.cron
Patch0: %{name}-Makefile.patch
Patch1: %{name}-configure-no-ping-test.patch
Patch2: %{name}-3.13-dnos10-psu-filter.patch

BuildRequires: make
BuildRequires: gcc
BuildRequires: telnet
BuildRequires: automake, autoconf
BuildRequires: rsh
BuildRequires: openssh-clients
BuildRequires: expect >= 5.40
BuildRequires: cvs
BuildRequires: subversion
BuildRequires: perl-interpreter
BuildRequires: perl-generators
BuildRequires: iputils
BuildRequires: sendmail

Requires(pre): shadow-utils
Requires: findutils
Requires: expect >= 5.40
Requires: perl-interpreter
Requires: iputils

%description
RANCID monitors a router's (or more generally a device's) configuration, 
including software and hardware (cards, serial numbers, etc) and uses CVS 
(Concurrent Version System), Subversion, or Git to maintain history of changes.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .no-cflags
%patch1 -p1 -b .no-ping-check
%patch2 -p1 -b .dnos10-psu-filter

%build
%configure \
    --sysconfdir=%{_sysconfdir}/%{name} \
    --bindir=%{_libexecdir}/%{name} \
    --libdir=%{perl_vendorlib} \
    --localstatedir=%{_localstatedir}/%{name} \
    --enable-conf-install
%make_build


%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
install -d -m 0755 %{buildroot}/%{_localstatedir}/%{name}
install -d -m 0755 %{buildroot}/%{_localstatedir}/log/%{name}
install -d -m 0755 %{buildroot}/%{_localstatedir}/log/%{name}/old
install -d -m 0755 %{buildroot}/%{_sysconfdir}/cron.d
install -d -m 0755 %{buildroot}/%{_bindir}/

for base in \
 %{name} %{name}-cvs %{name}-fe %{name}-run
 do
 ln -sf %{_libexecdir}/%{name}/${base} \
  %{buildroot}/%{_bindir}/${base}
done

install -D -p -m 0644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/cron.d/%{name}

sed -i 's|RANCIDBINDIR|%{_libexecdir}/%{name}|g' %{buildroot}/%{_sysconfdir}/cron.d/%{name}

grep -rlF '$BASEDIR/logs' %{buildroot} | xargs sed -i 's|\$BASEDIR/logs|%{_localstatedir}/log/%{name}|'


%pre
getent group %{name} >/dev/null || groupadd -r %{name}
getent passwd %{name} >/dev/null || \
    useradd -r -g %{name} -d %{_localstatedir}/%{name}/ -s /bin/bash \
	    -k /etc/skel -m -c "RANCID" %{name}
exit 0


%files
%doc CHANGES cloginrc.sample FAQ README README.lg Todo
%license COPYING

%attr(750,%{name},%{name}) %dir %{_sysconfdir}/%{name}
%attr(640,%{name},%{name}) %config(noreplace) %{_sysconfdir}/%{name}/*
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/cron.d/%{name}

%{_libexecdir}/%{name}

%{_bindir}/*

%{_mandir}/*/*

%{_datadir}/%{name}

%attr(750,%{name},%{name}) %dir %{_localstatedir}/log/%{name}
%attr(750,%{name},%{name}) %dir %{_localstatedir}/log/%{name}/old
%attr(750,%{name},%{name}) %dir %{_localstatedir}/%{name}/

%{perl_vendorlib}/*


%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.13-1
- initial build
